[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoEndDock

Signals the OnEndDock event handler when the control has been undocked.

## Declaration

Source position: controls.pp line 1469

`protected procedure TControl.DoEndDock(`
`Target: TObject;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Arguments

`Target` |  | Object instance with the target control or dock site site.
`X` |  | Horizontal mouse coordinate where the mouse button was released.
`Y` |  | Vertical mouse coordinate where the mouse button was released.

## Description

No actions are performed in the method if a handler routine has not been assigned to OnEndDock.

DoEndDock is called from the EndDrag method in TDragDockObject.

## See also

TControl.OnEndDock |  | Event handler signalled for the end of a drag-dock operation.
TDragDockObject.EndDrag |  | Finish docking.